Bug 100423 - Template manager delete all with shortcuts CTRL-A and Del doesn't work correctly
Summary: Template manager delete all with shortcuts CTRL-A and Del doesn't work correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.beta2
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-16 10:31 UTC by Daniël van Vuuren
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniël van Vuuren 2016-06-16 10:31:22 UTC
How to reproduce:
Install LibreOffice 5.2 Daily
Start center -> Templates -> Manage Templates -> Import -> My Templates -> OK
Navigate to a bunch (3 or more) of templates and import them
Set the filter to My Templates
Do CTRL-A + Del
Some templates remain (should be zaroo, 0)

Related:
tdf#94515

Some remarks:
CTRL-Z doesn't work
Rightclick doesn't have an option "Select All"
CTRL-A + Rightclick deselects all but the one clicked on

Version: 5.2.0.0.beta2+
Build ID: 32ecf73b9f26e74f72086bf43a72244c165a391c
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-2, Time: 2016-06-14_08:30:46
Comment 1 Commit Notification 2016-06-17 07:03:20 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b8c86f2a3eb5e092fb96f5ae2eaf58c10c8f4f0

tdf#100423 Template Manager: ctrl + A and del should work correctly

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-06-17 07:18:24 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=edd2f7b4793b29ae1aff05e1e54c957ac0fed15d&h=libreoffice-5-2

tdf#100423 Template Manager: ctrl + A and del should work correctly

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.